Package org.springframework.batch.core.step.builder

# Class FlowStepBuilder

java.lang.Object
org.springframework.batch.core.step.builder.StepBuilderHelper<FlowStepBuilder>
org.springframework.batch.core.step.builder.FlowStepBuilder

public class FlowStepBuilder extends StepBuilderHelper<FlowStepBuilder>
A step builder for `FlowStep` instances. A flow step delegates processing to a nested flow composed of other steps.

Since:
  2.2
Author:
  Dave Syer

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

  `StepBuilderHelper.CommonStepProperties`

- ## Field Summary

  ### Fields inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

  `logger, properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowStepBuilder(StepBuilderHelper<?> parent)`
  Create a new builder initialized with any properties in the parent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Step`
  `build()`
  Build a step that executes the flow provided, normally composed of other steps.
  `FlowStepBuilder`
  `flow(Flow flow)`
  Provide a flow to execute during the step.

  ### Methods inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

  `allowStartIfComplete, enhance, getJobRepository, getName, getTransactionManager, isAllowStartIfComplete, listener, listener, repository, startLimit, transactionManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlowStepBuilder

    public FlowStepBuilder(StepBuilderHelper<?> parent)
    Create a new builder initialized with any properties in the parent. The parent is copied, so it can be re-used.
    Parameters:
      `parent` - a parent helper containing common step properties

- ## Method Details

  - ### flow

    public FlowStepBuilder flow(Flow flow)
    Provide a flow to execute during the step.
    Parameters:
      `flow` - the flow to execute
    Returns:
      this for fluent chaining

  - ### build

    public Step build()
    Build a step that executes the flow provided, normally composed of other steps. The flow is not executed in a transaction because the individual steps are supposed to manage their own transaction state.
    Returns:
      a flow step